#!/usr/bin/guile-@guile_version@ \
-e main -s
!#

;; Copyright (C) 2018 Tommi Höynälänmaa
;; Distributed under GNU General Public License version 3,
;; see file doc/GPL-3.

(import (theme-d common theme-d-config))

(define (main args)
  (if (not (= (length args) 2))
      (begin
	(display "get-theme-d-config-var.scm: invalid number of arguments.")
	(newline)
	(exit 1))
      (begin
	(let ((s-var-name (string->symbol (cadr args))))
	  (init-theme-d-config)
	  (display (get-theme-d-config-var s-var-name))
	  (newline)
	  0))))
